## pyhamtools 0.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyhamtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyhamtools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyhamtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyhamtools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pyhamtools 0.7.4

=== debian/changelog ===
pyhamtools (0.7.4-2) unstable; urgency=medium

  * Fix maintainer name.
  * Multi-Arch: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Dec 2019 17:33:26 +0100

pyhamtools (0.7.4-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Dec 2019 22:41:25 +0100

=== debian/control ===
Source: pyhamtools
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-bs4,
 python3-distutils,
 python3-ephem,
 python3-future,
 python3-pytest,
 python3-redis,
 python3-requests,
 python3-sphinx,
 python3-tz,
Standards-Version: 4.4.1
Homepage: https://github.com/dh1tw/pyhamtools
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pyhamtools.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pyhamtools

Package: python3-pyhamtools
Architecture: all
Multi-Arch: foreign
Depends:
 python3-bs4,
 python3-ephem,
 python3-future,
 python3-requests,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Python library with amateur radio functions and methods
 Pyhamtools is a set of functions and classes for Amateur Radio purpose.
 Currently the core part is the callsign lookup which decodes any amateur radio
 callsign string and provides the corresponding information (country, DXCC
 entity, CQ zone... etc). This basic functionality is needed for logbooks, DX
 clusters or log checking. This and additional convenience features are
 provided for the following sources:
 .
  * AD1C's country-files.org
  * Clublog prefixes & exceptions XML file
  * Clublog DXCC query API
  * QRZ.com XML API
  * Redis.io
  * ARRL Logbook of the World (LOTW)
  * eQSL.cc user list
  * Clublog & OQRS user list
 .
 Other modules include location based calculations (e.g. distance, heading
 between Maidenhead locators) or frequency based calculations (e.g. frequency
 to band).

## pyhamtools 0.7.5

=== debian/changelog ===
pyhamtools (0.7.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Mar 2020 19:06:07 +0100

## pyhamtools 0.7.6

=== debian/changelog ===
pyhamtools (0.7.6-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * Python 3.9 removed the json.loads(encoding) keyword argument and the old
    plistlib API. (Closes: #975531)

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 22:24:39 +0100

=== debian/tests/control ===
Depends: @
Tests: test

=== debian/watch ===
version=4
https://github.com/dh1tw/pyhamtools/releases .*/v(.*).tar.gz

## pyhamtools 0.7.9

=== debian/changelog ===
pyhamtools (0.7.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 18:13:08 +0100

pyhamtools (0.7.7-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 10:14:23 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-requests,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/dh1tw/pyhamtools
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pyhamtools.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pyhamtools

## pyhamtools 0.9.0

=== debian/changelog ===
pyhamtools (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0.
  * Drop obsolete dependency on python3-future. (Closes: #1058995)

 -- Christoph Berg <myon@debian.org>  Fri, 12 Jan 2024 15:55:51 +0100

pyhamtools (0.8.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Oct 2023 09:21:08 +0100

pyhamtools (0.8.7-1) experimental; urgency=medium

  * New upstream version 0.8.7.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Mar 2023 12:32:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3-bs4,
  python3-distutils,
  python3-ephem,
- python3-future,
  python3-pytest,
  python3-redis,
  python3-requests,
@@ -27,7 +26,6 @@
 Depends:
  python3-bs4,
  python3-ephem,
- python3-future,
  python3-requests,
  python3-tz,
  ${misc:Depends},

## pyhamtools 0.10.0

=== debian/changelog ===
pyhamtools (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jun 2024 22:29:07 +0200

pyhamtools (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1.

 -- Christoph Berg <myon@debian.org>  Sat, 04 May 2024 11:39:21 +0200

pyhamtools (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Remove Build-Dep on python-distutils (Closes: #1065919)
    Add trivial patch to setup.py to use setuptools.
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.2
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 10 Mar 2024 16:37:28 -0700

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-bs4,
- python3-distutils,
  python3-ephem,
  python3-pytest,
  python3-redis,
  python3-requests,
  python3-sphinx,
  python3-tz,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/dh1tw/pyhamtools
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pyhamtools.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pyhamtools
+Rules-Requires-Root: no
 
 Package: python3-pyhamtools
 Architecture: all

## pyhamtools 0.11.0

=== debian/changelog ===
pyhamtools (0.11.0-2) unstable; urgency=medium

  * B-D on python3-setuptools. (Closes: #1080707)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Mar 2025 23:01:46 +0100

pyhamtools (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Mar 2025 21:38:26 +0100

=== debian/watch ===
version=4
https://github.com/dh1tw/pyhamtools/tags .*/v(.*).tar.gz

## pyhamtools 0.12.0

=== debian/changelog ===
pyhamtools (0.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Oct 2025 13:05:15 +0200

pyhamtools (0.12.0-1) experimental; urgency=medium

  * New upstream version 0.12.0.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jun 2025 13:27:03 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python3-pytest,
  python3-redis,
  python3-requests,
+ python3-setuptools,
  python3-sphinx,
  python3-tz,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html PYTHONPATH=.. # docs read version from python module

override_dh_auto_test:
	# skip tests until https://github.com/dh1tw/pyhamtools/issues/13 is resolved

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changelog.rst

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
